Bug 14130 - winbind does not list forest trusts with additional trust attributes
winbind does not list forest trusts with additional trust attributes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.11.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-18 00:36 UTC by Guenther Deschner
Modified: 2019-10-02 13:42 UTC (History)
3 users (show)

See Also:


Attachments
patch from master for v4.10 and v4.11 (1.70 KB, patch)
2019-09-20 18:04 UTC, Guenther Deschner
asn: review+
gd: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2019-09-18 00:36:07 UTC
With recent Windows updates, more LSA trust attributes might be in place which are not properly checked within winbindd. Forest trusts might disappear from the list of trusted domains (wbinfo -m).
Comment 1 Guenther Deschner 2019-09-20 18:04:52 UTC
Created attachment 15479 [details]
patch from master for v4.10 and v4.11
Comment 2 Andreas Schneider 2019-09-26 10:19:19 UTC
Karolin, could you please apply the patch to the relevant branches? Thanks!
Comment 3 Karolin Seeger 2019-09-26 11:56:15 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-{11,10}-test.
Comment 4 Guenther Deschner 2019-10-02 13:42:56 UTC
Closing as fixed